Subject: Re: cygwin 1.3.10 + win2k + fat32 + chmod prob
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 13 May 2002 13:35:26 -0400

At 01:04 PM 5/13/2002, Tim Gunter wrote:
>On Mon, May 13, 2002 at 09:48:22AM -0700, Randall R Schulz wrote:
> > Tim,
> > 
> > For FAT volumes, you need "ntea" (NT Extended Attributes) in your CYGWIN 
> > environment variable and you must be prepared for the creation of a large 
> > auxiliary data file that holds the attribute information that the file 
> > system itself does not.
> > 
> > As with "ntsec," "ntea" must be present in the CYGWIN environment variable 
> > _before_ the Cygwin DLL loads, so the Environment control panel is the 
> > place to set it. Thus it will _never work_ to set "ntea" from within a 
> > Cygwin application. If you have Cygwin processes running as services, then 
> > put the CYGWIN setting in the System environment, not just a per-user 
> > environment.
>yup, ive tried "ntea". i set it in the windows system control panel as
>a system variable, rebooted, and chmod still fails.

OK, I guess you'll need to try debugging it with strace and/or gdb.

>im a little mystified as to why it used to work in the first place(with ntsec
>on a fat partition).

I share your mystification.  As near as I can tell, you must be mis-
remembering.  The "ntsec" setting has never affected FAT partitions.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/